%define _prefix /opt/lscsoft/framecpp
%define buildroot %{_tmppath}/%{name}-%{version}-%{release}-root

Summary: C++ interface to the LIGO/Virgo framespec.
Name: framecpp
Version: 1.12.2
Release: 1
License: ?
Group: frameCPP
URL: http://www.ligo.caltech.edu
# Patch0: framecpp-1.10.0-doxygen.patch
Source0: http://ldas-sw.ligo.caltech.edu/packages/framecpp-%{version}.tar.gz
BuildRoot: %{buildroot}
Buildrequires: autoconf automake libtool zlib-devel

%description
Provides access to all frame structures documented in the framespec.

%package devel
Version: %{version}
Summary: frameCPP toolkit development files
Group: Development/Languages
URL: http://www.ligo.caltech.edu
Requires: %{name} = %{version}-%{release}

%description devel
The package contains the development files for frameCPP.

%prep
%setup -q
# %patch0 -p1

%build
%configure --disable-auto-ldcg-inclusion --without-ospace --without-stlport --with-optimization=high --enable-inlining --without-odbc --disable-metadata-api
make
make check

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
( cd lib/framecpp ; make lscsoft-install DESTDIR=%{buildroot} )
rm -rf %{buildroot}/%{_exec_prefix}/lib/perceps

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}
%{_libdir}/*.so*
%{_prefix}/etc/framecpp-user-env.*

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*a
%{_libdir}/pkgconfig
%{_prefix}/doc
%{_prefix}/share/ldas/valgrind

%changelog
* Tue Apr 6 2009 Edward Maros <emaros@ligo.caltech.edu> - framecpp-1
- Initial build.
